<div euiInputGroup class="eui-u-mb-none">
  <label
    class="{{_isDisabled ? 'eui-u-c-neutral-lightest' : 'eui-u-color-black'}}"
    euiLabel
    for="{{id}}">
    {{ translations.label | translate }}
  </label>
  <div class="eui-input-group-addon">
    <input
      euiInputText
      [id]="id"
      [formControl]="textInput"
      [euiClearable]="config.isClearable"
      [attr.disabled]="_isDisabled"
      (keyup.enter)="onSearchClicked()"
      (blur)="onSearchClicked()"
      [placeholder]="translations.placeholder | translate"
      />
      @if (!!config?.isSearchInput) {
        <button
          euiButton
          default
          euiIconButton
          [euiDisabled]="_isDisabled"
          (click)="onSearchClicked()">
          <eui-icon-svg set="sharp" icon="search"></eui-icon-svg>
        </button>
      }
    </div>
  </div>
